Eclipse Platform Release 3.7

## org.eclipse.update.core
Class InstallHandlerEntry

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.InstallHandlerEntryModel
                  org.eclipse.update.core.InstallHandlerEntry

All Implemented Interfaces:
  IAdaptable, IInstallHandlerEntry

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class InstallHandlerEntry

extends InstallHandlerEntryModel
implements IInstallHandlerEntry

Convenience implementation of an install handler entry.

This class may be instantiated or subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IInstallHandlerEntry`, `InstallHandlerEntryModel`, `IInstallHandler`

Constructor Summary
`InstallHandlerEntry()` Deprecated. Constructor for InstallHandlerEntry.

Method Summary

Methods inherited from class org.eclipse.update.core.model.InstallHandlerEntryModel
`getHandlerName, getLibrary, getURL, getURLString, resolve, setHandlerName, setLibrary, setURLString`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IInstallHandlerEntry
`getHandlerName, getLibrary, getURL`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### InstallHandlerEntry

    public InstallHandlerEntry()

  Deprecated.
  Constructor for InstallHandlerEntry.

  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.